Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/include/OgreTypeConverter.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/include/OgreTypeConverter.h	(revision 860)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/include/OgreTypeConverter.h	(revision 860)
@@ -0,0 +1,28 @@
+#ifndef _OgreTypeConverter_H__
+#define _OgreTypeConverter_H__
+
+#include "AxisAlignedBox3.h"
+#include "OgreAxisAlignedBox.h"
+#include "Vector3.h"
+#include "OgreVector3.h"
+
+
+namespace Ogre {
+  
+/**
+	Class which converts our types to OGRE types
+*/
+class __declspec(dllexport) OgreTypeConverter
+{
+public:
+
+	static GtpVisibilityPreprocessor::AxisAlignedBox3 ConvertFromOgre(const AxisAlignedBox &box);
+	static GtpVisibilityPreprocessor::Vector3 ConvertFromOgre(const Vector3 &v);
+	
+	static AxisAlignedBox ConvertToOgre(const GtpVisibilityPreprocessor::AxisAlignedBox3 &box);
+	static Vector3 ConvertToOgre(const GtpVisibilityPreprocessor::Vector3 &v);
+};
+
+} // namespace Ogre
+
+#endif // PlatformQueryManager
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/scripts/Plugin_VisibilitySceneManager.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/scripts/Plugin_VisibilitySceneManager.vcproj	(revision 850)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/scripts/Plugin_VisibilitySceneManager.vcproj	(revision 860)
@@ -88,5 +88,5 @@
 				EnableFiberSafeOptimizations="TRUE"
 				OptimizeForProcessor="2"
-				AdditionalIncludeDirectories="&quot;$(OGRE_PATH)\PlugIns\OctreeSceneManager\include&quot;;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include\CEGUI&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include&quot;;..\include;..\..\..\OnlineCullingCHC\include;..\..\..\Preprocessing\src"
+				AdditionalIncludeDirectories="&quot;$(OGRE_PATH)\PlugIns\OctreeSceneManager\include&quot;;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include\CEGUI&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include&quot;;..\include;..\..\..\OnlineCullingCHC\include;..\..\..\Preprocessing\include"
 				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;GTP_VISIBILITY_MODIFIED_OGRE"
 				StringPooling="TRUE"
@@ -222,11 +222,11 @@
 				</File>
 				<File
+					RelativePath="..\include\OgreTypeConverter.h">
+				</File>
+				<File
 					RelativePath="..\include\OgreVisibilityOptionsManager.h">
 				</File>
 				<File
 					RelativePath="..\include\OgreVisibilitySceneManager.h">
-				</File>
-				<File
-					RelativePath="..\include\ViewCellBspTree.h">
 				</File>
 			</Filter>
@@ -257,4 +257,7 @@
 				<File
 					RelativePath="..\src\OgreSolidHalfBoundingBox.cpp">
+				</File>
+				<File
+					RelativePath="..\src\OgreTypeConverter.cpp">
 				</File>
 				<File
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp	(revision 853)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp	(revision 860)
@@ -836,9 +836,9 @@
 }
 
-bool OcclusionCullingSceneManager::CompareBoundingBoxes(const AxisAlignedBox &boxa, 
+/*bool OcclusionCullingSceneManager::CompareBoundingBoxes(const AxisAlignedBox &boxa, 
 														const AxisAlignedBox &boxb)
 {
 }
-
+*/
 void OcclusionCullingSceneManager::LoadViewCells(string filename)
 {
@@ -862,5 +862,5 @@
 			 MovableObject *mo = oit.getNext();
 			 AxisAlignedBox bbox = mo->getWorldBoundingBox();
-		CompareBoundingBoxes(*oit, box);
+//		CompareBoundingBoxes(*oit, box);
 		 }
 	}
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreTypeConverter.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreTypeConverter.cpp	(revision 860)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreTypeConverter.cpp	(revision 860)
@@ -0,0 +1,18 @@
+#include "OgreTypeConverter.h"
+
+
+GtpVisibilityPreprocessor::AxisAlignedBox3 Ogre::OgreTypeConverter::ConvertFromOgre(const Ogre::AxisAlignedBox &box)
+{
+}
+
+GtpVisibilityPreprocessor::Vector3 Ogre::OgreTypeConverter::ConvertFromOgre(const Ogre::Vector3 &v)
+{
+}
+	
+Ogre::AxisAlignedBox Ogre::OgreTypeConverter::ConvertToOgre(const GtpVibilityPreprocessor::AxisAlignedBox3 &box)
+{
+}
+
+Ogre::Vector3 Ogre::OgreTypeConverter::ConvertToOgre(const GtpVibilityPreprocessor::Vector3 &v)
+{
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/Preprocessor.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/Preprocessor.vcproj	(revision 833)
+++ GTP/trunk/Lib/Vis/Preprocessing/scripts/Preprocessor.vcproj	(revision 860)
@@ -491,7 +491,4 @@
 			</File>
 			<File
-				RelativePath="..\include\Polygon3.h">
-			</File>
-			<File
 				RelativePath="..\include\Preprocessor.h">
 			</File>
Index: GTP/trunk/Lib/Vis/Preprocessing/src/UnigraphicsParser.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/UnigraphicsParser.h	(revision 658)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/UnigraphicsParser.h	(revision 860)
@@ -6,6 +6,7 @@
 #include "Parser.h"
 
+namespace GtpVisibilityPreprocessor {
+
 class SceneGraphNode;
-
 
 class UnigraphicsParser : public Parser
@@ -19,4 +20,5 @@
 };
 
+}
 
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VspBspTree.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VspBspTree.h	(revision 822)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VspBspTree.h	(revision 860)
@@ -25,7 +25,5 @@
 class ViewCellsTree;
 
-
-struct BspRay;
-
+namespace GtpVisibilityPreprocessor {
 
 /**
@@ -325,10 +323,7 @@
 	int CastBeam(Beam &beam);
 
-	void CollectViewCells(BspNode *root, 
-						  bool onlyValid, 
-						  ViewCellContainer &viewCells,
-						  bool onlyUnmailed = false) const;
-
-	
+	/** Finds approximate neighbours, i.e., finds correct neighbors
+		in most cases but sometimes more.
+	*/
 	int FindApproximateNeighbors(BspNode *n, 
 							     vector<BspLeaf *> &neighbors,
@@ -404,9 +399,19 @@
 	void EvalPriority(VspBspTraversalData &tData) const;
 
+	/** Evaluates render cost decrease of next split.
+	*/
 	float EvalRenderCostDecrease(const Plane3 &candidatePlane,
 								 const VspBspTraversalData &data) const;
 
+	/** Constructs tree using the split priority queue.
+	*/
 	void ConstructWithSplitQueue(const PolygonContainer &polys, RayInfoContainer *rays);
 
+	/** Collects view cells in the subtree under root.
+	*/
+	void CollectViewCells(BspNode *root, 
+						  bool onlyValid, 
+						  ViewCellContainer &viewCells,
+						  bool onlyUnmailed = false) const;
 
 	/** Returns view cell corresponding to 
@@ -831,5 +836,5 @@
 };
 
-
+}
 
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Material.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Material.h	(revision 608)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Material.h	(revision 860)
@@ -2,4 +2,5 @@
 #define __MATERIAL_H
 
+namespace GtpVisibilityPreprocessor {
 
 
@@ -47,5 +48,5 @@
 
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Beam.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Beam.cpp	(revision 840)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Beam.cpp	(revision 860)
@@ -4,4 +4,5 @@
 #include "Polygon3.h"
 
+using namespace GtpVisibilityPreprocessor {
 
 void
@@ -209,2 +210,4 @@
 	mPlanes.pop_back();
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VspKdTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VspKdTree.cpp	(revision 744)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VspKdTree.cpp	(revision 860)
@@ -27,4 +27,6 @@
 #include "ViewCellsManager.h"
 #include "ViewCellBsp.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 // Static variables
@@ -2644,2 +2646,4 @@
 	EvalMergeCost();
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Exporter.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Exporter.cpp	(revision 712)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Exporter.cpp	(revision 860)
@@ -2,4 +2,6 @@
 #include "X3dExporter.h"
 #include "VrmlExporter.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 Exporter *
@@ -24,2 +26,3 @@
 }
 
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VrmlExporter.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VrmlExporter.cpp	(revision 840)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VrmlExporter.cpp	(revision 860)
@@ -15,4 +15,5 @@
 #include "Beam.h"
 
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -728,5 +729,5 @@
 			AxisAlignedBox3 box;
 			box = tree.GetBBox(leaf);
-			box.AddBoxToMesh(mesh);
+			IncludeBoxInMesh(box, *mesh);
 
 			if (tree.ValidLeaf(leaf)) 
@@ -858,5 +859,5 @@
 				box = tree.GetBBox(leaf);
 				Mesh *mesh = new Mesh;
-				box.AddBoxToMesh(mesh);
+				IncludeBoxInMesh(box, *mesh);
 
 				// get 4 corners of the ray directions
@@ -1314,5 +1315,5 @@
 		box = tree.GetShrankedBBox(leaf);
 		Mesh *mesh = new Mesh;
-		box.AddBoxToMesh(mesh);
+		IncludeBoxInMesh(box, *mesh);
 		
 		// get 4 corners of the ray directions
@@ -1404,2 +1405,4 @@
 	CLEAR_CONTAINER(polys);
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Matrix4x4.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Matrix4x4.h	(revision 209)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Matrix4x4.h	(revision 860)
@@ -4,4 +4,6 @@
 #include <iostream>
 using namespace std;
+
+namespace GtpVisibilityPreprocessor {
 
 class Vector3;
@@ -99,5 +101,5 @@
 };
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCell.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCell.cpp	(revision 844)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCell.cpp	(revision 860)
@@ -13,4 +13,5 @@
 #include <stack>
 
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -2211,2 +2212,4 @@
 	app << "===== END OF BspTree statistics ==========\n";
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/X3dParser.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/X3dParser.cpp	(revision 752)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/X3dParser.cpp	(revision 860)
@@ -29,4 +29,7 @@
 #include "Triangle3.h"
 #include "ViewCellsManager.h"
+
+using namespace GtpVisibilityPreprocessor {
+
 
 // ---------------------------------------------------------------------------
@@ -986,2 +989,4 @@
     return true;
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Renderer.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Renderer.h	(revision 497)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Renderer.h	(revision 860)
@@ -3,4 +3,6 @@
 
 #include "common.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class ViewCellsManager;
@@ -29,4 +31,5 @@
 };
 
+}
 
 #endif // Renderer
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Pvs.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Pvs.h	(revision 752)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Pvs.h	(revision 860)
@@ -4,4 +4,6 @@
 #include <map>
 #include <vector>
+
+namespace GtpVisibilityPreprocessor {
 
 class KdNode;
@@ -422,4 +424,5 @@
 typedef Pvs<Intersectable *> ObjectPvs;
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsParser.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsParser.h	(revision 575)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsParser.h	(revision 860)
@@ -4,4 +4,6 @@
 #include "Parser.h"
 #include "Containers.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class ViewCellsManager;
@@ -19,4 +21,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Polygon3.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Polygon3.h	(revision 840)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Polygon3.h	(revision 860)
@@ -9,4 +9,6 @@
 #include "Mesh.h"
 #include <iomanip>
+
+namespace GtpVisibilityPreprocessor {
 
 class Polygon3;
@@ -118,20 +120,4 @@
 	Polygon3 *CreateReversePolygon() const;
 
-	/// vertices are connected in counterclockwise order.
-	VertexContainer mVertices;
-
-	/// we can also store materials with polygons
-	Material *mMaterial;
-	
-	/// pointer to the mesh instance this polygon is derived from
-	MeshInstance *mParent;
-
-	/// Rays piercing this polygon
-	RayContainer mPiercingRays;
-
-
-	/** Includes polygons to axis aligned box.
-	*/
-	static void IncludeInBox(const PolygonContainer &polys, AxisAlignedBox3 &box);
 
 	/** Classify polygons with respect to the plane.
@@ -155,4 +141,19 @@
 	*/
 	friend void IncludePolyInMesh(const Polygon3 &poly, Mesh &mesh);
+
+
+	
+	/// vertices are connected in counterclockwise order.
+	VertexContainer mVertices;
+
+	/// we can also store materials with polygons
+	Material *mMaterial;
+	
+	/// pointer to the mesh instance this polygon is derived from
+	MeshInstance *mParent;
+
+	/// Rays piercing this polygon
+	RayContainer mPiercingRays;
+
 };
 
@@ -170,4 +171,5 @@
 }
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Plane3.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Plane3.cpp	(revision 639)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Plane3.cpp	(revision 860)
@@ -3,4 +3,5 @@
 
 
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -82,2 +83,4 @@
 	return - Distance(a) / dv; // TODO: could be done more efficiently
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/PreprocessorThread.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/PreprocessorThread.h	(revision 556)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/PreprocessorThread.h	(revision 860)
@@ -3,4 +3,6 @@
 
 #include <QThread>
+
+namespace GtpVisibilityPreprocessor {
 
 class Preprocessor;
@@ -23,4 +25,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RenderSimulator.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RenderSimulator.h	(revision 574)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RenderSimulator.h	(revision 860)
@@ -6,4 +6,5 @@
 #include "Renderer.h"
 
+namespace GtpVisibilityPreprocessor {
 
 class SimulationStatistics: public StatisticsBase
@@ -117,3 +118,5 @@
 };
 
+}
+
 #endif // RenderSimulator
Index: GTP/trunk/Lib/Vis/Preprocessing/src/MutualVisibility.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/MutualVisibility.h	(revision 501)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/MutualVisibility.h	(revision 860)
@@ -4,4 +4,6 @@
 #include "Vector3.h"
 #include "Ray.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class Intersectable;
@@ -180,5 +182,5 @@
 
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SceneGraph.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SceneGraph.h	(revision 492)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SceneGraph.h	(revision 860)
@@ -8,4 +8,5 @@
 #include "AxisAlignedBox3.h"
 
+namespace GtpVisibilityPreprocessor {
   
 /** Basic scene graph node, we are interested only in bounding boxes and topology
@@ -42,4 +43,5 @@
 
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellBsp.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellBsp.h	(revision 840)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellBsp.h	(revision 860)
@@ -10,5 +10,5 @@
 #include "ViewCell.h"
 
-
+namespace GtpVisibilityPreprocessor {
 
 class ViewCell;
@@ -1074,4 +1074,6 @@
 };
 
+/** struct storing the view cell intersections.
+*/
 struct BspRay 
 {
@@ -1083,3 +1085,5 @@
 };
 
+}
+
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/AxisAlignedBox3.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/AxisAlignedBox3.h	(revision 859)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/AxisAlignedBox3.h	(revision 860)
@@ -108,4 +108,5 @@
   void Include(const Polygon3 &newpoly);
   void Include(const AxisAlignedBox3 &bbox);
+  void Include (const PolygonContainer &polys);
   void Include(Mesh *mesh);
   // Expand the axis-aligned box to include given values in particular axis
@@ -359,7 +360,7 @@
 						   const AxisAlignedBox3 &neighbour) const;
 
-  /** Adds the box faces to the mesh.
-  */
-  void AddBoxToMesh(Mesh *mesh) const;
+  /** Includes the box faces to the mesh description
+  */
+  friend void IncludeBoxInMesh(const AxisAlignedBox3 &box, Mesh &mesh);
 
   /** Box faces are turned into polygons.
Index: GTP/trunk/Lib/Vis/Preprocessing/src/UnigraphicsParser.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/UnigraphicsParser.cpp	(revision 752)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/UnigraphicsParser.cpp	(revision 860)
@@ -13,4 +13,5 @@
 #include "Environment.h"
 
+using namespace GtpVisibilityPreprocessor {
 
 #define ROTATE_SCENE 0
@@ -189,10 +190,3 @@
 }
 
-
-
-
-
-
-
-
-
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Halton.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Halton.h	(revision 497)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Halton.h	(revision 860)
@@ -4,4 +4,6 @@
 #include <iostream>
 using namespace std;
+
+namespace GtpVisibilityPreprocessor {
 
 class Halton2 {
@@ -132,4 +134,5 @@
 
 extern Halton2 halton2;
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Vector3.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Vector3.h	(revision 492)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Vector3.h	(revision 860)
@@ -7,5 +7,5 @@
 #include "common.h"
 
-
+namespace GtpVisibilityPreprocessor {
 
 // Forward-declare some other classes.
@@ -485,5 +485,5 @@
 
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RssTree.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RssTree.h	(revision 569)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RssTree.h	(revision 860)
@@ -27,4 +27,6 @@
 
 #include "Containers.h"
+
+namespace GtpVisibilityPreprocessor {
 
 #define USE_KDNODE_VECTORS 1
@@ -1079,4 +1081,5 @@
 };
 
+}
 
 #endif // __LSDS_KDTREE_H__
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Camera.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Camera.h	(revision 492)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Camera.h	(revision 860)
@@ -5,6 +5,9 @@
 #include "AxisAlignedBox3.h"
 
+namespace GtpVisibilityPreprocessor {
+
 class KdTree;
 class SceneGraph;
+
 
 class Camera
@@ -73,4 +76,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h	(revision 859)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h	(revision 860)
@@ -7,4 +7,6 @@
 #include "ViewCell.h"
 #include "ViewCellBsp.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class ViewCell;
@@ -356,4 +358,6 @@
 										const Plane3 *clipPlane = NULL) const = 0;
 
+	/** Brings the view cells into their final state, computes meshes and volume.
+	*/
 	virtual void FinalizeViewCells(const bool createMesh);
 
@@ -530,7 +534,7 @@
 	void CreateClipPlane();
 
+	/** Updates pvs of all view cells for statistical evaluation after some more sampling
+	*/
 	virtual void UpdatePvsForEvaluation(ViewCell *root, ObjectPvs &pvs) = 0;
-
-
 
 
@@ -972,3 +976,5 @@
 };
 
+}
+
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VspBspTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VspBspTree.cpp	(revision 837)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VspBspTree.cpp	(revision 860)
@@ -17,4 +17,6 @@
 #include "ViewCellsManager.h"
 #include "Beam.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 #define USE_FIXEDPOINT_T 0
@@ -3860,2 +3862,4 @@
 	}
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Ray.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Ray.h	(revision 563)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Ray.h	(revision 860)
@@ -6,4 +6,6 @@
 #include "Vector3.h"
 //#include "ViewCellBsp.h"
+
+namespace GtpVisibilityPreprocessor {
 
 // forward declarations
@@ -332,4 +334,6 @@
 };
 
+}
+
 #endif 
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VssTree.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VssTree.h	(revision 466)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VssTree.h	(revision 860)
@@ -21,5 +21,8 @@
 #include "VssRay.h"
 #include "AxisAlignedBox3.h"
-
+#include "Statistics.h"
+#include "Ray.h"
+
+namespace GtpVisibilityPreprocessor {
 
 #define USE_KDNODE_VECTORS 1
@@ -28,6 +31,4 @@
 
 
-#include "Statistics.h"
-#include "Ray.h"
 
 // --------------------------------------------------------------
@@ -928,4 +929,5 @@
 };
 
+}
 
 #endif // __LSDS_KDTREE_H__
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Mesh.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Mesh.h	(revision 859)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Mesh.h	(revision 860)
@@ -9,4 +9,6 @@
 #include "AxisAlignedBox3.h"
 #include "Material.h"
+
+namespace GtpVisibilityPreprocessor {
 
 struct Triangle3;
@@ -255,5 +257,5 @@
 };
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Parser.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Parser.h	(revision 658)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Parser.h	(revision 860)
@@ -4,4 +4,6 @@
 #include <string>
 using namespace std;
+
+namespace GtpVisibilityPreprocessor {
 
 class SceneGraphNode;
@@ -20,4 +22,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Tetrahedron3.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Tetrahedron3.cpp	(revision 544)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Tetrahedron3.cpp	(revision 860)
@@ -1,3 +1,6 @@
 #include "Tetrahedron3.h"
+
+
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -26,2 +29,4 @@
 	return true;
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Environment.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Environment.cpp	(revision 859)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Environment.cpp	(revision 860)
@@ -21,4 +21,6 @@
 
   
+using namespace GtpVisibilityPreprocessor {
+
 Environment *environment = NULL;
 
@@ -2201,2 +2203,4 @@
 
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Beam.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Beam.h	(revision 542)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Beam.h	(revision 860)
@@ -11,4 +11,6 @@
 class Intersectable;
 class Mesh;
+
+namespace GtpVisibilityPreprocessor {
 
 // the values need for rss tree update computed already inside the glrendererbuffer
@@ -114,4 +116,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/FromPointVisibilityTree.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/FromPointVisibilityTree.h	(revision 810)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/FromPointVisibilityTree.h	(revision 860)
@@ -10,4 +10,6 @@
 #include "RayInfo.h"
 #include "ViewCellBsp.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class ViewCell;
@@ -25,6 +27,4 @@
 class ViewCellsTree;
 
-
-struct BspRay;
 
 
@@ -845,5 +845,5 @@
 };
 
-
+}
 
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Exporter.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Exporter.h	(revision 535)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Exporter.h	(revision 860)
@@ -5,4 +5,6 @@
 #include <vector>
 using namespace std;
+
+namespace GtpVisibilityPreprocessor {
 
 #include "Material.h"
@@ -139,5 +141,5 @@
 };
  
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/KdTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/KdTree.cpp	(revision 859)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/KdTree.cpp	(revision 860)
@@ -9,4 +9,6 @@
 
 int KdNode::mailID = 1;
+
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -1052,2 +1054,4 @@
   return (int)beam.mKdNodes.size();
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellBsp.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellBsp.cpp	(revision 840)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellBsp.cpp	(revision 860)
@@ -15,4 +15,5 @@
 #include <stack>
 
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -819,5 +820,5 @@
 	// compute bounding box
 	if (!forcedBoundingBox)
-		Polygon3::IncludeInBox(*polys, mBox);
+		mBox.Include(*polys);
 
 	//-- store rays
@@ -1308,5 +1309,5 @@
 	
 	// create bounding box of region
-	Polygon3::IncludeInBox(polys, box);
+	box.Include(polys);
         
 	int objectsBack = 0, objectsFront = 0;
@@ -1351,5 +1352,5 @@
 	
 		// create bounding box of region
-		Polygon3::IncludeInBox(*data.mPolygons, box);
+		box.Include(*data.mPolygons);
 
 		const int axis = box.Size().DrivingAxis();
@@ -2969,5 +2970,5 @@
 {
 	box.Initialize();
-	Polygon3::IncludeInBox(mPolys, box);
+	box.Include(mPolys);
 }
 
@@ -3332,2 +3333,4 @@
 	}
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCell.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCell.h	(revision 844)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCell.h	(revision 860)
@@ -8,4 +8,6 @@
 #include "Material.h"
 //namespace GtpVisibilityPreprocessor {
+
+namespace GtpVisibilityPreprocessor {
 
 struct Triangle3;
@@ -682,3 +684,5 @@
 };
 
+}
+
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SceneGraph.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SceneGraph.cpp	(revision 576)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SceneGraph.cpp	(revision 860)
@@ -5,4 +5,7 @@
 #include "X3dExporter.h"
 #include "Intersectable.h"
+
+
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -132,2 +135,4 @@
   mBox = box;
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/MutualVisibility.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/MutualVisibility.cpp	(revision 386)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/MutualVisibility.cpp	(revision 860)
@@ -10,4 +10,6 @@
 #include "Triangle3.h"
 #include "SceneGraph.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 void
@@ -709,2 +711,3 @@
 }
   
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RenderSimulator.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RenderSimulator.cpp	(revision 728)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RenderSimulator.cpp	(revision 860)
@@ -6,4 +6,8 @@
 #include "VspKdTree.h"
 #include "ViewCellsManager.h"
+
+
+using namespace GtpVisibilityPreprocessor {
+
 
 void SimulationStatistics::Print(ostream &app) const
@@ -163,2 +167,4 @@
 	simStats = mSimulationStatistics;
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ExactPreprocessor.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ExactPreprocessor.h	(revision 439)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ExactPreprocessor.h	(revision 860)
@@ -1,4 +1,6 @@
 #ifndef _ExactPreprocessor_H__
 #define _ExactPreprocessor_H__
+
+namespace GtpVisibilityPreprocessor {
 
 #include "Preprocessor.h"
@@ -11,6 +13,6 @@
 
   };
-  
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Polytope.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Polytope.h	(revision 372)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Polytope.h	(revision 860)
@@ -3,4 +3,6 @@
 
 #include "Containers.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class Hyperplane;
@@ -45,3 +47,5 @@
 };
 
+}
+
 #endif // Polytope
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Vector3.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Vector3.cpp	(revision 728)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Vector3.cpp	(revision 860)
@@ -2,4 +2,6 @@
 #include "Vector3.h"
 #include "Halton.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 // Given min a vector to minimize and a candidate vector, replace
@@ -251,2 +253,3 @@
 }
 
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Halton.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Halton.cpp	(revision 492)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Halton.cpp	(revision 860)
@@ -1,4 +1,6 @@
 
 #include "Halton.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 // global halton generator
@@ -6,2 +8,4 @@
 Halton2 halton2;
 float Halton2::_invBases[2];
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp	(revision 840)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp	(revision 860)
@@ -13,4 +13,7 @@
 #include "GlRenderer.h"
 #include "PlyParser.h"
+
+using namespace GtpVisibilityPreprocessor {
+
 
 Preprocessor *preprocessor;
@@ -605,2 +608,4 @@
   return true;
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Plane3.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Plane3.h	(revision 697)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Plane3.h	(revision 860)
@@ -3,4 +3,6 @@
 
 #include "Vector3.h"
+
+namespace GtpVisibilityPreprocessor {
 
   
@@ -75,5 +77,5 @@
   
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RssTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RssTree.cpp	(revision 667)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RssTree.cpp	(revision 860)
@@ -28,4 +28,8 @@
 #include "Preprocessor.h"
 #include "SceneGraph.h"
+
+
+using namespace GtpVisibilityPreprocessor {
+
 
 #define DEBUG_SPLIT_COST 0
@@ -2805,2 +2809,5 @@
 	st.push(RayTraversalData(mRoots[i], info));
 }
+
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Triangle3.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Triangle3.cpp	(revision 191)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Triangle3.cpp	(revision 860)
@@ -1,3 +1,5 @@
 #include "Triangle3.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 float
@@ -6,2 +8,4 @@
   return 0.0f;
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VssTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VssTree.cpp	(revision 667)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VssTree.cpp	(revision 860)
@@ -24,4 +24,6 @@
 #include "Intersectable.h"
 #include "Ray.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 #define DEBUG_SPLIT_COST 0
@@ -2008,2 +2010,4 @@
   return rays.size();
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Ray.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Ray.cpp	(revision 644)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Ray.cpp	(revision 860)
@@ -2,4 +2,6 @@
 #include "Plane3.h"
 #include "VssRay.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 // =========================================================
@@ -241,2 +243,4 @@
   Precompute();
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.h	(revision 535)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.h	(revision 860)
@@ -12,4 +12,6 @@
 #include "VssRay.h"
 #include "ViewCell.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class SceneGraphNode;
@@ -145,5 +147,5 @@
 };
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VssRay.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VssRay.h	(revision 556)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VssRay.h	(revision 860)
@@ -7,4 +7,6 @@
 #include "Ray.h"
 #include "Containers.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class AxisAlignedBox3;
@@ -318,5 +320,5 @@
 };
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Statistics.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Statistics.h	(revision 469)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Statistics.h	(revision 860)
@@ -4,4 +4,6 @@
 
 #include "common.h"
+
+namespace GtpVisibilityPreprocessor {
 
 // --------------------------------------------------------------
@@ -38,4 +40,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/FromPointVisibilityTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/FromPointVisibilityTree.cpp	(revision 840)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/FromPointVisibilityTree.cpp	(revision 860)
@@ -17,4 +17,6 @@
 #include "ViewCellsManager.h"
 #include "Beam.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 #define USE_FIXEDPOINT_T 0
@@ -3930,2 +3932,4 @@
 	}
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Tetrahedron3.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Tetrahedron3.h	(revision 544)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Tetrahedron3.h	(revision 860)
@@ -4,4 +4,6 @@
 #include "Triangle3.h"
 #include "Vector3.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class Tetrahedron3 
@@ -63,4 +65,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Environment.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Environment.h	(revision 492)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Environment.h	(revision 860)
@@ -18,6 +18,7 @@
 #include "common.h"
 
+namespace GtpVisibilityPreprocessor {
+
 class Vector3;
-
 
 
@@ -352,4 +353,6 @@
 extern Environment *environment;
 
+}
+
 #endif // __ENVIRON_H__
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ExactPreprocessor.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ExactPreprocessor.cpp	(revision 372)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ExactPreprocessor.cpp	(revision 860)
@@ -1,5 +1,6 @@
 #include "ExactPreprocessor.h"
 
-  
+using namespace GtpVisibilityPreprocessor {
+
 bool
 ExactPreprocessor::ComputeVisibility()
@@ -9,3 +10,3 @@
 };
 
-
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Polytope.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Polytope.cpp	(revision 372)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Polytope.cpp	(revision 860)
@@ -1,3 +1,5 @@
 #include "Polytope.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 /************************************************
@@ -22,2 +24,3 @@
 }
 
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.h	(revision 437)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.h	(revision 860)
@@ -4,4 +4,6 @@
 #include <vector>
 using namespace std;
+
+namespace GtpVisibilityPreprocessor {
 
 class VssRay;
@@ -89,4 +91,7 @@
 };
 
+
+}
+
 #endif 
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RssPreprocessor.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RssPreprocessor.cpp	(revision 859)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RssPreprocessor.cpp	(revision 860)
@@ -13,4 +13,7 @@
 #include "GlRenderer.h"
 
+using namespace GtpVisibilityPreprocessor {
+
+
 static bool useViewSpaceBox = false;
 static bool use2dSampling = false;
@@ -808,2 +811,3 @@
 }
 
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VssPreprocessor.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VssPreprocessor.cpp	(revision 767)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VssPreprocessor.cpp	(revision 860)
@@ -14,4 +14,6 @@
 #include "GlRenderer.h"
 #include "ViewCellBsp.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 bool use2dSampling = false;
@@ -859,3 +861,3 @@
 }
 
-
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/KdTree.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/KdTree.h	(revision 859)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/KdTree.h	(revision 860)
@@ -10,5 +10,7 @@
 #include "Pvs.h"
 #include "Viewcell.h"
-  
+
+namespace GtpVisibilityPreprocessor {
+
 class KdNode;
 class KdLeaf;
@@ -537,5 +539,5 @@
 
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/PlyParser.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/PlyParser.h	(revision 752)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/PlyParser.h	(revision 860)
@@ -4,4 +4,6 @@
 #include "Parser.h"
 #include "Containers.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 class ViewCellsManager;
@@ -24,4 +26,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SamplingPreprocessor.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SamplingPreprocessor.h	(revision 469)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SamplingPreprocessor.h	(revision 860)
@@ -7,4 +7,6 @@
 #include "Preprocessor.h"
 #include "VssRay.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class Exporter;
@@ -95,3 +97,5 @@
 };
 
+}
+
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VssRay.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VssRay.cpp	(revision 492)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VssRay.cpp	(revision 860)
@@ -1,4 +1,6 @@
 #include "VssRay.h"
 #include "AxisAlignedBox3.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 // Static variables
@@ -256,3 +258,3 @@
 }
 
-
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.cpp	(revision 840)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.cpp	(revision 860)
@@ -15,4 +15,5 @@
 #include "Beam.h"
 
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -710,5 +711,5 @@
 			AxisAlignedBox3 box;
 			box = tree.GetBBox(leaf);
-			box.AddBoxToMesh(mesh);
+			IncludeBoxInMesh(box, *mesh);
 
 			if (tree.ValidLeaf(leaf)) {
@@ -813,5 +814,5 @@
 		box = tree.GetBBox(leaf);
 		Mesh *mesh = new Mesh;
-		box.AddBoxToMesh(mesh);
+		IncludeBoxInMesh(box, *mesh);
 		
 		// get 4 corners of the ray directions
@@ -1244,5 +1245,5 @@
 		box = tree.GetShrankedBBox(leaf);
 		Mesh *mesh = new Mesh;
-		box.AddBoxToMesh(mesh);
+		IncludeBoxInMesh(box, *mesh);
 		
 		// get 4 corners of the ray directions
@@ -1335,2 +1336,4 @@
 	CLEAR_CONTAINER(polys);
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Intersectable.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Intersectable.h	(revision 850)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Intersectable.h	(revision 860)
@@ -4,4 +4,6 @@
 #include "AxisAlignedBox3.h"
 #include "Pvs.h"
+
+namespace GtpVisibilityPreprocessor {
 
 struct VssRayContainer;
@@ -79,4 +81,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsParserXerces.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsParserXerces.h	(revision 651)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsParserXerces.h	(revision 860)
@@ -7,4 +7,6 @@
 #include <xercesc/sax/HandlerBase.hpp>
 #include "Mesh.h"
+
+namespace GtpVisibilityPreprocessor {
 
 XERCES_CPP_NAMESPACE_USE
@@ -171,3 +173,5 @@
 }
 
+}
+
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.h	(revision 746)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.h	(revision 860)
@@ -9,4 +9,6 @@
 
 #include <QObject>
+
+namespace GtpVisibilityPreprocessor {
 
 class RenderSimulator;
@@ -186,3 +188,5 @@
 extern Preprocessor *preprocessor;
 
+}
+
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Rectangle3.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Rectangle3.h	(revision 245)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Rectangle3.h	(revision 860)
@@ -4,4 +4,6 @@
 using namespace std;
 #include "Vector3.h"
+
+namespace GtpVisibilityPreprocessor {
 
 /// rectangle vertices
@@ -63,4 +65,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Triangle3.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Triangle3.h	(revision 544)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Triangle3.h	(revision 860)
@@ -3,4 +3,6 @@
 
 #include "Vector3.h"
+
+namespace GtpVisibilityPreprocessor {
 
 struct Triangle3 {
@@ -44,4 +46,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/GlRenderer.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/GlRenderer.h	(revision 811)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/GlRenderer.h	(revision 860)
@@ -11,4 +11,6 @@
 #include "Renderer.h"
 #include "Beam.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class SceneGraph;
@@ -426,4 +428,6 @@
 extern GlDebuggerWidget *debuggerWidget;
 
+}
+
 #endif
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Material.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Material.cpp	(revision 608)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Material.cpp	(revision 860)
@@ -1,4 +1,6 @@
 #include "common.h"
 #include "Material.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -23,2 +25,4 @@
 				  a + Random(b));
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/MeshKdTree.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/MeshKdTree.h	(revision 177)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/MeshKdTree.h	(revision 860)
@@ -9,5 +9,6 @@
 #include "Ray.h"
 
-  
+namespace GtpVisibilityPreprocessor {
+
 class MeshKdNode;
 class MeshKdLeaf;
@@ -265,5 +266,5 @@
 
 
-
+}
 
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Matrix4x4.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Matrix4x4.cpp	(revision 245)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Matrix4x4.cpp	(revision 860)
@@ -5,4 +5,6 @@
 #include <iomanip>
 using namespace std;
+
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -646,2 +648,4 @@
   return Vector3(M.x[3][0], M.x[3][1], M.x[3][2]);
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Renderer.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Renderer.cpp	(revision 497)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Renderer.cpp	(revision 860)
@@ -1,3 +1,5 @@
 #include "Renderer.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -20,2 +22,3 @@
 }
 
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.cpp	(revision 801)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.cpp	(revision 860)
@@ -3,4 +3,6 @@
 #include "VssRay.h"
 #include "Plane3.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 RayInfo::RayInfo(): mRay(NULL), mMinT(0),
@@ -167,2 +169,4 @@
 	return SqrDistance(ExtrapOrigin(), ExtrapTermination());
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Pvs.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Pvs.cpp	(revision 469)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Pvs.cpp	(revision 860)
@@ -1,4 +1,6 @@
 #include <iostream>
 #include "Pvs.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 int
@@ -7,2 +9,4 @@
 	return 0; // TODO
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Polygon3.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Polygon3.cpp	(revision 840)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Polygon3.cpp	(revision 860)
@@ -4,4 +4,8 @@
 #include "Ray.h"
 #include "Triangle3.h"
+
+
+using namespace GtpVisibilityPreprocessor {
+
 
 Polygon3::Polygon3(): 
@@ -260,13 +264,4 @@
 
 
-void Polygon3::IncludeInBox(const PolygonContainer &polys, AxisAlignedBox3 &box)
-{
-	PolygonContainer::const_iterator it, it_end = polys.end();
-
-	for (it = polys.begin(); it != it_end; ++ it)
-		box.Include(*(*it));
-}
-
-
 // int_lineseg returns 1 if the given line segment intersects a 2D
 // ray travelling in the positive X direction.	This is used in the
@@ -569,2 +564,4 @@
 	}
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Containers.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Containers.h	(revision 850)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Containers.h	(revision 860)
@@ -6,4 +6,6 @@
 
 using namespace std;
+
+namespace GtpVisibilityPreprocessor {
 
 class ViewCell;
@@ -56,4 +58,5 @@
 typedef vector<IndexedBoundingBox> IndexedBoundingBoxContainer;
 
+}
+
 #endif // _Container_H__
-
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsParser.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsParser.cpp	(revision 664)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsParser.cpp	(revision 860)
@@ -30,4 +30,7 @@
 #include "VspKdTree.h"
 #include "ViewCellsManager.h"
+
+using namespace GtpVisibilityPreprocessor {
+
 
 // ---------------------------------------------------------------------------
@@ -729,2 +732,4 @@
     return true;
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VspKdTree.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VspKdTree.h	(revision 587)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VspKdTree.h	(revision 860)
@@ -39,4 +39,5 @@
 class ViewCellsStatistics;
 
+namespace GtpVisibilityPreprocessor {
 
 /**
@@ -891,4 +892,5 @@
 };
 
+}
 
 #endif // __VSP_KDTREE_H__
Index: GTP/trunk/Lib/Vis/Preprocessing/src/PreprocessorThread.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/PreprocessorThread.cpp	(revision 712)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/PreprocessorThread.cpp	(revision 860)
@@ -7,4 +7,6 @@
 #include "Preprocessor.h"
 
+
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -56,2 +58,4 @@
   cerr<<"Preprocessor thread destructor...\n";
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VrmlExporter.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VrmlExporter.h	(revision 712)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VrmlExporter.h	(revision 860)
@@ -12,4 +12,6 @@
 #include "VssRay.h"
 #include "ViewCell.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class SceneGraphNode;
@@ -145,5 +147,5 @@
 };
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/X3dParser.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/X3dParser.h	(revision 694)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/X3dParser.h	(revision 860)
@@ -4,4 +4,6 @@
 #include "Parser.h"
 #include "Containers.h"
+
+namespace GtpVisibilityPreprocessor {
 
 class ViewCellsManager;
@@ -21,4 +23,5 @@
 };
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SamplingPreprocessor.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SamplingPreprocessor.cpp	(revision 574)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SamplingPreprocessor.cpp	(revision 860)
@@ -9,4 +9,8 @@
 #include "ViewCellsManager.h"
 #include "RenderSimulator.h"
+
+
+using namespace GtpVisibilityPreprocessor {
+
 
 SamplingPreprocessor::SamplingPreprocessor(): mPass(0)
@@ -447,2 +451,4 @@
 	}
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/PlyParser.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/PlyParser.cpp	(revision 752)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/PlyParser.cpp	(revision 860)
@@ -9,4 +9,5 @@
 #include "Mesh.h"
 
+using namespace GtpVisibilityPreprocessor {
 
 // int facesPerMesh = 100000000;
@@ -291,2 +292,4 @@
   return true;
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RssPreprocessor.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RssPreprocessor.h	(revision 576)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RssPreprocessor.h	(revision 860)
@@ -11,4 +11,5 @@
 class RssTreeLeaf;
 
+namespace GtpVisibilityPreprocessor {
 
 /** Sampling based visibility preprocessing. The implementation is based on heuristical
@@ -140,4 +141,5 @@
 
 
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/AxisAlignedBox3.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/AxisAlignedBox3.cpp	(revision 704)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/AxisAlignedBox3.cpp	(revision 860)
@@ -9,4 +9,6 @@
 #include "Mesh.h"
 
+using namespace GtpVisibilityPreprocessor {
+
 #define FATAL Debug
 #define FATAL_ABORT exit(1)
@@ -54,4 +56,13 @@
 	for (it = newpoly.mVertices.begin(); it != it_end; ++ it)
 		Include(*it);
+}
+
+void
+AxisAlignedBox3::Include(const PolygonContainer &polys)
+{
+	PolygonContainer::const_iterator it, it_end = polys.end();
+
+	for (it = polys.begin(); it != it_end; ++ it)
+		Include(*(*it));
 }
 
@@ -2038,23 +2049,23 @@
 
 
-void AxisAlignedBox3::AddBoxToMesh(Mesh *mesh) const
+void IncludeBoxInMesh(const AxisAlignedBox3 &box, Mesh &mesh)
 {
 	// add 6 vertices of the box
-	int index = (int)mesh->mVertices.size();
+	int index = (int)mesh.mVertices.size();
 	
-	for (int i=0; i < 8; i++) 
+	for (int i=0; i < 8; ++ i) 
 	{
 		Vector3 v;
-		GetVertex(i, v);
-		mesh->mVertices.push_back(v);
+		box.GetVertex(i, v);
+		mesh.mVertices.push_back(v);
 	}
 	
-	mesh->AddFace(new Face(index + 0, index + 1, index + 3, index + 2) );
-	mesh->AddFace(new Face(index + 0, index + 2, index + 6, index + 4) );
-	mesh->AddFace(new Face(index + 4, index + 6, index + 7, index + 5) );
+	mesh.AddFace(new Face(index + 0, index + 1, index + 3, index + 2) );
+	mesh.AddFace(new Face(index + 0, index + 2, index + 6, index + 4) );
+	mesh.AddFace(new Face(index + 4, index + 6, index + 7, index + 5) );
 	
-	mesh->AddFace(new Face(index + 3, index + 1, index + 5, index + 7) );
-	mesh->AddFace(new Face(index + 0, index + 4, index + 5, index + 1) );
-	mesh->AddFace(new Face(index + 2, index + 3, index + 7, index + 6) );
+	mesh.AddFace(new Face(index + 3, index + 1, index + 5, index + 7) );
+	mesh.AddFace(new Face(index + 0, index + 4, index + 5, index + 1) );
+	mesh.AddFace(new Face(index + 2, index + 3, index + 7, index + 6) );
 }
 
@@ -2111,2 +2122,4 @@
 
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Rectangle3.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Rectangle3.cpp	(revision 223)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Rectangle3.cpp	(revision 860)
@@ -1,3 +1,5 @@
 #include "Rectangle3.h"
+
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -37,2 +39,4 @@
   
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VssPreprocessor.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VssPreprocessor.h	(revision 674)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VssPreprocessor.h	(revision 860)
@@ -7,6 +7,10 @@
 #include "Preprocessor.h"
 #include "VssRay.h"
+
+namespace GtpVisibilityPreprocessor {
+
 class VssTree;
 class VssTreeLeaf;
+
 
 
@@ -110,5 +114,5 @@
 };
 
-
+}
 
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Camera.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Camera.cpp	(revision 492)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Camera.cpp	(revision 860)
@@ -14,4 +14,5 @@
 
 
+using namespace GtpVisibilityPreprocessor {
 
 
@@ -143,2 +144,4 @@
   
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.cpp	(revision 859)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.cpp	(revision 860)
@@ -15,4 +15,7 @@
 #include "VssPreprocessor.h"
 #include "RssPreprocessor.h"
+
+using namespace GtpVisibilityPreprocessor {
+
 
 // HACK
@@ -3523,5 +3526,5 @@
 	{
 		VspKdLeaf *l = dynamic_cast<VspKdViewCell *>(*it)->mLeaf;
-		mVspKdTree->GetBBox(l).AddBoxToMesh(&m);
+		IncludeBoxInMesh(mVspKdTree->GetBBox(l), m);
 	}
 
@@ -5018,2 +5021,4 @@
 }
 
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/GlRenderer.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/GlRenderer.cpp	(revision 859)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/GlRenderer.cpp	(revision 860)
@@ -15,4 +15,6 @@
 
 #include <QVBoxLayout>
+
+using namespace GtpVisibilityPreprocessor {
 
 static CGcontext sCgContext = NULL;
@@ -2165,2 +2167,4 @@
 	glClearColor(1.0f, 1.0f, 1.0f, 1.0f);
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/X3dParserXerces.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/X3dParserXerces.h	(revision 801)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/X3dParserXerces.h	(revision 860)
@@ -13,4 +13,6 @@
 class AttributeList;
 XERCES_CPP_NAMESPACE_END
+
+namespace GtpVisibilityPreprocessor {
 
 class SceneGraphNode;
@@ -287,3 +289,5 @@
 }
 
+}
+
 #endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/MeshKdTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/MeshKdTree.cpp	(revision 752)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/MeshKdTree.cpp	(revision 860)
@@ -5,4 +5,7 @@
 #include "Mesh.h"
 #include "MeshKdTree.h"
+
+using namespace GtpVisibilityPreprocessor {
+
 
 float MeshKdTree::mSplitBorder;
@@ -462,2 +465,4 @@
 
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Mesh.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Mesh.cpp	(revision 859)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Mesh.cpp	(revision 860)
@@ -3,4 +3,7 @@
 #include "MeshKdTree.h"
 #include "Triangle3.h"
+
+using namespace GtpVisibilityPreprocessor {
+
 
 int Intersectable::sMailId = 21843194198;
@@ -592,2 +595,4 @@
   return mesh;
 }
+
+}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/common.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/common.h	(revision 582)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/common.h	(revision 860)
@@ -19,4 +19,5 @@
 #include <iostream>
 #include <fstream>
+
 using namespace std;
 
